This endpoint allows fetching a list of resources.
cURL
curl --request GET \ --url https://api.useaira.com/v1/resources/ \ --header 'X-API-KEY: <api-key>'
{ "items": [ { "id": "<string>", "name": "Emails sent", "type": "unit", "aggregation": "sum", "aggregateByField": "value", "customFields": { "customField1": "value1", "customField2": [ "value2", "value3" ] }, "filters": [ { "property": "eventName", "value": "email_sent" } ] } ], "hasMore": true }
API Key Authentication.
x >= 0
1 <= x <= 100
Default Response
A list of items.
Show child attributes
The unique identifier of the resource in our system.
The name of the resource.
"Emails sent"
The type of the resource.
unit
currency
The aggregation method used for this resource.
sum
last_during_period
unique
The aggregateByField property indicates which field will be considered when aggregating events.
"value"
Custom fields that can be associated with the entity. The fields must be previously created in the system before they can be used.
{ "customField1": "value1", "customField2": ["value2", "value3"]}
The filters used for this resource.
The property of the filter.
The value of the filter.
[ { "property": "eventName", "value": "email_sent" }]
Indicates if there are more items to fetch.